FactoryServiceAddressingLocator
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.stubs.service
Class FactoryServiceAddressingLocator

    java.lang.Object
      org.apache.axis.client.Service
          org.gcube.dir.master.stubs.service.FactoryServiceLocator
              org.gcube.dir.master.stubs.service.FactoryServiceAddressingLocator

All Implemented Interfaces:
  java.io.Serializable, javax.naming.Referenceable, javax.xml.rpc.Service, FactoryService, FactoryServiceAddressing

    public class FactoryServiceAddressingLocator

extends FactoryServiceLocator
implements FactoryServiceAddressing

See Also:
  Serialized Form

Constructor Summary
`FactoryServiceAddressingLocator()`

Method Summary
`FactoryPortType` | `getFactoryPortTypePort(org.apache.axis.message.addressing.EndpointReferenceType reference)`

Methods inherited from class org.gcube.dir.master.stubs.service.FactoryServiceLocator
`getFactoryPortTypePort, getFactoryPortTypePort, getFactoryPortTypePortAddress, getFactoryPortTypePortWSDDServiceName, getPort, getPort, getPorts, getServiceName, setEndpointAddress, setEndpointAddress, setFactoryPortTypePortEndpointAddress, setFactoryPortTypePortWSDDServiceName`

Methods inherited from class org.apache.axis.client.Service
`clearCall, createCall, createCall, createCall, createCall, getCacheWSDL, getCall, getCalls, getEngine, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gcube.dir.master.stubs.service.FactoryService
`getFactoryPortTypePort, getFactoryPortTypePort, getFactoryPortTypePortAddress`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getPort, getPort, getPorts, getServiceName, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### FactoryServiceAddressingLocator

    public FactoryServiceAddressingLocator()

Method Detail

### getFactoryPortTypePort

    public FactoryPortType getFactoryPortTypePort(org.apache.axis.message.addressing.EndpointReferenceType reference)
                                           throws javax.xml.rpc.ServiceException

  Specified by:
    `getFactoryPortTypePort` in interface `FactoryServiceAddressing`
  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD